Subject: linux-next: build failure after merge of the drm-intel tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 15 Feb 2022 12:10:39 +1100

Hi all,

After merging the drm-intel tree, today's linux-next build (x86_64
allmodconfig) failed like this:

drivers/gpu/drm/i915/gvt/kvmgt.c: In function 'handle_edid_regs':
drivers/gpu/drm/i915/gvt/kvmgt.c:595:38: error: implicit declaration of function 'drm_edid_block_valid' [-Werror=implicit-function-declaration]
  595 |                                 if (!drm_edid_block_valid(
      |                                      ^~~~~~~~~~~~~~~~~~~~

Presumably caused by commit

  14da21cc4671 ("drm/i915: axe lots of unnecessary includes from i915_drv.h")

I am beginning to wonder if you guys run stuff through your CI before
relasing to linux-next.  Especially important when removing #include
statements from include files :-)

I have used the drm-intel tree from next-20220214 for today.

-- 
Cheers,
Stephen Rothwell